##
##  dim.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         dim
Summary:      Simple Distributed Version System
URL:          http://www.oligem.com/dim/
Vendor:       Marc Vertes
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        SCM
License:      MIT-style
Version:      0.5.5
Release:      20091123

#   list of sources
Source0:      http://www.oligem.com/dim/dim-%{version}.tgz
Patch0:       dim.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, diffutils, netcat

%description
    Dim is a light and powerful distributed versioning tool. Similar in
    some aspects to git, darcs, or mercurial, however much smaller and
    simpler. It also addresses some crucial issues which are ignored by
    other tools, like multi-items composition or global naming.

%track
    prog dim = {
        version   = %{version}
        url       = http://www.oligem.com/dim/download.html
        regex     = dim-(__VER__)\.tgz
    }

%prep
    %setup -q
    %patch -p0

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/cgi \
        $RPM_BUILD_ROOT%{l_prefix}/etc/dim \
        $RPM_BUILD_ROOT%{l_prefix}/lib/dim \
        $RPM_BUILD_ROOT%{l_prefix}/var/dim \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 755 \
        dim wd $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        dim.1 wd.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        wdim.php $RPM_BUILD_ROOT%{l_prefix}/cgi/
    %{l_shtool} install -c -m 644 \
        -e 's;xxx@yyy\.zzz;dim@example.com;' \
        wdim.conf $RPM_BUILD_ROOT%{l_prefix}/etc/dim/
    %{l_shtool} install -c -m 644 \
        rsa.php tar.php $RPM_BUILD_ROOT%{l_prefix}/lib/dim/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%attr(-,%{l_nusr},%{l_ngrp}) %{l_prefix}/var/dim'

%files -f files

%clean

